//
//  LCImageObject.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 08.02.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCFrameObject.h"

typedef enum LCImageObject_EdgeMode
{
    LCImageObject_EdgeMode_None = 0,
    LCImageObject_EdgeMode_Round = 1,
    LCImageObject_EdgeMode_InvertedRound = 2,
    LCImageObject_EdgeMode_Straight = 3,
    LCImageObject_EdgeMode_InvertedStraight = 4
    
}LCImageObject_EdgeMode;

@interface LCImageObject : LCFrameObject
{
    CGImageRef imageRef;
    NSData *imageData;
    
    float edgeRadius;
    LCImageObject_EdgeMode edgeMode;
}

@property (assign) CGImageRef imageRef;
- (void) setImageRefFromPlatformImage:(id)platformImage;

@property (assign) float edgeRadius;
@property (assign) LCImageObject_EdgeMode edgeMode;

@end
